GCLOUD_COMPUTE_URL-MAPS_ADD-HOST-RULE(1)

NAME

gcloud compute url-maps add-host-rule - add a rule to a URL map to map hosts to a path matcher

SYNOPSIS

gcloud compute url-maps add-host-rule NAME --hosts HOST,[HOST,...] --path-matcher-name PATH_MATCHER_NAME [--description DESCRIPTION] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute url-maps add-host-rule is used to add a mapping of hosts to a patch matcher in a URL map. The mapping will match the host component of HTTP requests to path matchers which in turn map the request to a backend service. Before adding a host rule, at least one path matcher must exist in the URL map to take care of the path component of the requests. 'gcloud compute url-maps add-path-matcher' or 'gcloud compute url-maps edit' can be used to add path matchers.

POSITIONAL ARGUMENTS
NAME
    The name of the URL map.

REQUIRED FLAGS
--hosts HOST,[HOST,...]
    The set of hosts to match requests against. Each host must be a fully qualified domain name (FQDN) with the exception that the host can begin with a ``*'' or ``*-''. ``*'' acts as a glob and will match any string of atoms to the left where an atom is separated by dots (``.'') or dashes (``-'').
--path-matcher-name PATH_MATCHER_NAME
    The name of the patch matcher to use if a request matches this host rule. The patch matcher must already exist in the URL map (see 'gcloud compute url-maps add-path-matcher').

OPTIONAL FLAGS
--description DESCRIPTION
    An optional, textual description for the host rule.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To create a host rule mapping the *-foo.google.com and google.com hosts to the www path matcher, run:
    $ gcloud compute url-maps add-host-rule MY-URL-MAP \
        --hosts '*-foo.google.com' google.com --path-matcher-name www